List administrativeUnits
Namespace: microsoft.graph
Retrieve a list of administrativeUnit objects.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | AdministrativeUnit.Read.All, Directory.Read.All, AdministrativeUnit.ReadWrite.All, Directory.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | AdministrativeUnit.Read.All, Directory.Read.All, AdministrativeUnit.ReadWrite.All, Directory.ReadWrite.All |
HTTP request
GET /directory/administrativeUnits
Optional query parameters
This method supports the $count, $select, $search, $filter (eq), and $expand OData query parameters to help customize the response.
Retrieve extensions and associated data
| Extension type | Comments |
|---|---|
| Schema extensions | Returned only with $select. Supports $filter (eq). |
| Directory extensions | Returned by default. Supports $filter (eq). |
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and collection of administrativeUnit objects in the response body.
Example
Request
Here is an example of the request.
GET https://graph.microsoft.com/v1.0/directory/administrativeUnits
Response
Here is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#directory/administrativeUnits",
"value": [
{
"id": "4d7ea995-bc0f-45c0-8c3e-132e93bf95f8",
"deletedDateTime": null,
"displayName": "Seattle District Technical Schools",
"description": "Seattle district technical schools administration",
"membershipRule": null,
"membershipType": null,
"membershipRuleProcessingState": null,
"visibility": "HiddenMembership"
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk